%define oname   Inline-Python
%define name    perl-%{oname}
%define version 0.22
%define release 1mdk

Summary:       Write Perl subroutines in python
Name:          %{name}
Version:       %{version}
Release:       %{release}
Source0:       %{oname}-%{version}.tar.bz2
License:       Artistic
Group:         Development/Perl
BuildRoot:     %{_tmppath}/%{name}-buildroot
BuildRequires: perl-devel python-devel perl-Inline
BuildRequires: perl-CGI perl-Parse-RecDescent
Url:           http://search.cpan.org/dist/%{oname}/

%description
The Inline::Python module allows you to put source code from Python
directly "inline" in a Perl script or module. The code is automatically
compiled as needed, and then loaded for immediate access from Perl.

The Python code will be able to call back to the Perl code at will.
However, if you want the ultimate host language to be Python, use
python-perlmodule instead.

Inline-Python relies on the Inline module to do most of its work; many
other languages can be inlined besides Python.

%prep
%setup -q -n %{oname}-%{version}

%build
%{__rm} -f _Inline/*
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std
%{__rm} -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TESTED Changes ToDo
%{_mandir}/man3/Inline::Python.3pm*
%{_libdir}/perl5/vendor_perl/*

%changelog
* Tue Jan 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.22-1mdk
- 0.22
- Don't include Python.pod twice

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.21-3mdk
- Rebuild for new python

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.21-2mdk
- Rebuild for new perl

* Mon Aug 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.21-1mdk
- New version 0.21
- Add make test

* Mon Mar 01 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.20-7mdk
- rebuild
- own dir

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.20-6mdk
- rebuild for new python
- disable test

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.20-5mdk
- Use %%makeinstall_std now that it works on klama

* Fri Aug 1 2003 Ben Reser <ben@reser.org> 0.20-4mdk
- Forgot DESTDIR on %%makeinstall

* Fri Aug 1 2003 Ben Reser <ben@reser.org> 0.20-3mdk
- Fix install for new perl
- Macrofication
- Fix man path
- Unpackaged perllocal.pod

* Wed Jul 9 2003 Austin Acton <aacton@yorku.ca> 0.20-2mdk
- add some buildrequires and enable test

* Thu Jul 8 2003 Austin Acton <aacton@yorku.ca> 0.20-1mdk
- disable test until we can figure out why it fails
- from andi payn <payn@myrealbox.com> :
  - first specfile, based loosely on perl-Inline.spec
